%define upstream_name    Dist-Zilla-PluginBundle-JQUELIN
%define upstream_version 1.100972

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build & release a distribution like jquelin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Plugin::Repository)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This is a plugin bundle to load all dist-zilla plugins that jq is using.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.972-1mdv2010.1
+ Revision: 533406
- adding missing buildrequires:
- update to 1.100972

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.900-1mdv2010.1
+ Revision: 530231
- update to 1.100900

* Sun Mar 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.660-1mdv2010.1
+ Revision: 515497
- update to 1.100660

* Fri Jan 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.220-1mdv2010.1
+ Revision: 494995
- update to 1.100220

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.130-1mdv2010.1
+ Revision: 491458
- adding missing buildrequires:
- update to 1.100130

* Fri Jan 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.81-1mdv2010.1
+ Revision: 487688
- update to 1.100081

* Fri Jan 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.80-1mdv2010.1
+ Revision: 487569
- update to 1.100080

* Wed Jan 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.60-1mdv2010.1
+ Revision: 486775
- import perl-Dist-Zilla-PluginBundle-JQUELIN


* Wed Jan 06 2010 cpan2dist 1.100060-1mdv
- initial mdv release, generated with cpan2dist
